Bug 440027

Summary: allowing excluding packages
Product: [Fedora] Fedora Reporter: Rahul Sundaram <sundaram>
Component: gnome-packagekitAssignee: Robin Norwood <robin.norwood>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 12CC: rhughes, richard, smohan
Target Milestone: ---Keywords: MoveUpstream, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 02:12:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rahul Sundaram 2008-04-01 09:25:26 EDT
Description of problem:

Sometimes I want to exclude certain packages like say the kernel from getting
updated or showing up in the updates list in the applet. Yum supports
exclude=bar,foo* and others like apt IIRC have similar options.
Comment 1 Richard Hughes 2008-04-01 10:15:29 EDT
What's the use case? How would the UI work for this?
Comment 2 Rahul Sundaram 2008-04-01 10:21:36 EDT
There are many use cases, I have a custom package that conflicts with the one in
the Fedora repository or I know the version in the Fedora repository is busted
in some way or I just don't the risk of updating the kernel in my Fedora system. 

UI can be like this: Right click on the applet -> preferences -> exclude
packages. Add the package name manually to a black list or click on show updates
-> right click on the package and get a option to exclude it. 
Comment 3 Richard Hughes 2008-04-01 11:58:18 EDT
Okay, i think right click in the update viewer is okay, but we would also need
to provide a way for users to "unblacklist" updates. Maybe we can show them in
grey text with a tooltip.

I guess the package blacklist is per-session, rather than per-system, right?
Comment 4 Rahul Sundaram 2008-04-01 13:04:10 EDT
Per-session since that would be consistent with the rest of the preferences.
Users might expect the behaviour of the GUI to match the command line yum and
pkcon. If we can get a option to do this per-system too, that might be nice. If
you are not sure, wait until someone requests this with a explanation on the
expectation. 
Comment 5 Bug Zapper 2008-05-14 04:31:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:57:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-16 03:03:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:58:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:12:20 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.